<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Source: ads/banner/Banner.Iframe.js</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-banner" role="banner">
        </div>
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <h1>Source: ads/banner/Banner.Iframe.js</h1>
          </header>
          <article>
            <pre class="prettyprint linenums"><code>import { h } from &#x27;preact&#x27;
import { Banner } from &#x27;./Banner.js&#x27;
import { Link, Iframe } from &#x27;components/index.js&#x27;

/**
 * iframe nad którym opcjonalnie jest umieszczona klikalna warstwa
 * @class BannerIframe
 * @extends Banner
 * @example
 * &amp;lt;BannerIframe
 *   width&#x3D;&quot;300px&quot;
 *   height&#x3D;&quot;250px&quot;
 *   url&#x3D;&quot;http://example.com&quot;
 *   iframe&#x3D;&quot;http://example.com/index.html&quot;
 *   redirectLayer
 *   package&#x3D;{
 *     &#x27;event1&#x27;: &#x27;http://example.com/event1.gif&#x27;,
 *     &#x27;event2&#x27;: &#x27;http://example.com/event2.gif&#x27;,
 *     &#x27;event3&#x27;: &#x27;http://example.com/event3.gif&#x27;
 *   }
 * /&gt;
 *
 * @prop {object} props - zestaw właściwości komponentu
 * @prop {string} props.iframe - adres wyświetlanej strony
 * @prop {string} props.url - adres, na jaki ma przekierowywać reklama
 * @prop {object} [props.style] - obiekt ze stylami inline
 * @prop {string[]} [props.classNames] - dodatkowe klasy dla głównego elementu
 * @prop {string} props.width - szerokość komponentu wraz z jednostką
 * @prop {string} props.height - wysokość komponentu wraz z jednostką
 * @prop {object} [props.package&#x3D;{}] - obiekt z danymi wysyłanymi do iframe za pomocą postmessage
 * @prop {boolean} [props.redirectLayer&#x3D;false] - decyduje, czy wyświetlić nad elementem wizualnym reklamy (grafika, video, iframe) transparentny link przechwytujący kliknięcia
 * @prop {function} [props.onReady] - callback wywoływany, gdy komponent zamontował się poprawnie i wszystkie zasoby zostały załadowane
 * @prop {function} [props.onViewportEnter] - callback wywoływany, gdy komponent pojawił się w obszarze viewportu
 * @prop {function} [props.onViewportLeave] - callback wywoływany, gdy komponent opuścił obszar viewportu
 * @prop {object} state - zestaw stanów komponentu
 * @prop {string} state.lifecycle - string reprezentujący bieżący cykl życia komponentu (initialized, ready)
 * @prop {number} state.preloading - liczba zasobów aktualnie preloadowanych przez komponent
 */
export class BannerIframe extends Banner {
  constructor (props, state) {
    super(props, state)

    /**
      * referencja do komponentu &amp;amp;lt;Iframe/&amp;amp;gt; umożliwiająca korzystanie z jego wewnętrznych metod
      * @type {Component}
      */
    this.iframe &#x3D; null
  }

  render () {
    return (
      &amp;lt;div className&#x3D;{this.classNames()} style&#x3D;{this.props.style}&gt;
        {this.redirectLayer &amp;amp;&amp;amp; &amp;lt;Link href&#x3D;{this.props.url} /&gt;}
        &amp;lt;Iframe
          ref&#x3D;{ref &#x3D;&gt; { this.iframe &#x3D; ref }}
          src&#x3D;{this.props.iframe}
          package&#x3D;{this.props.package}
          onShow&#x3D;{this.onReady}
        /&gt;
      &amp;lt;/div&gt;
    )
  }
}
</code></pre>
          </article>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>